Get metric group details for a target

get

http://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/targets/{targetId}/metricGroups/{metricGroupName}

Returns details of the specified metric group and its metrics for the target.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : MetricGroup
Type: object
Metric group metadata
Show Source
Nested Schema : keys
Type: array
(Optional) List of keys for this metric group, if present. Included if query parameter include=metrics is specified.
Show Source
Example:
[
    {
        "name":"mountPoint",
        "displayName":"Mount Point"
    }
]
Nested Schema : metrics
Type: array
(Optional) List of metrics present in this metric group. Included if query parameter include=metrics is specified.
Show Source
Example:
[
    {
        "id":"6E65075DA52ACA744B4B8C3FCB018289",
        "name":"pctAvailable",
        "displayName":"Filesystem Space Available (%)",
        "dataType":"NUMBER",
        "categoryName":"Utilization",
        "unitDisplayName":"%"
    },
    {
        "id":"162045AD9191652427CAC47D8BA40671",
        "name":"size",
        "displayName":"Filesystem Size (MB)",
        "dataType":"NUMBER",
        "unitDisplayName":"MB"
    },
    {
        "id":"E8838C71E687BF0A9E02FFACC0C9AC80",
        "name":"available",
        "displayName":"Filesystem Space Available (MB)",
        "dataType":"NUMBER",
        "categoryName":"Utilization",
        "unitDisplayName":"MB"
    },
    {
        "id":"C80F6EAA9145C76D30DE8705346D5AAA",
        "name":"fileSystem",
        "displayName":"Filesystem",
        "dataType":"STRING"
    }
]
Nested Schema : MetricKey
Type: object
Metric key metadata
Show Source
Nested Schema : Metric
Type: object
Metric metadata
Show Source
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top